 ============================
[   SCADA ChangeLog   ]
 ============================

			2.0.0 (26-12-2025)
=====
Fixed 	  :Resolved an issue where drivers failed to start in desktop and service modes due to license errors
Fixed 	  :Fixed a critical bug in blacklist / whitelist validation
Fixed 	  :Resolved thread-related crashes caused by alarm sound handling
Fixed 	  :Fixed crashes occurring when user-defined alarm sounds were enabled
Fixed 	  :Fixed an issue where alarms continued ringing after user logout
Fixed 	  :Improved stability in scenarios with high alarm volumes
Improved : Strengthened the license validation mechanism
Improved : Added active tag count verification
Improved : Enforced archive limit validation
Improved : Improved logging for license validation
Improved : Refactored protocol type handling
Improved : Improved archive limit validation logic
Improved : Updated the ReportQuery infrastructure
Improved : Enhanced WebSocket integration
Improved : Improved webserver user settings management
Improved : Updated license dialog and extended license information views
Improved : Improved Keygen HTML output and toHtmlString handling
Improved : General performance and stability improvements
Improved : Added WebServer module
Improved : Released the first test candidate of the WebServer
Improved : Added extra tag details to license information
Improved : Updated public key structure
Improved : Applied license public key changes
Improved : Version metadata updated throughout beta releases (beta5 → beta14)
Improved : Infrastructure / Maintenance
Improved : Updated Common and Database submodule references
Improved : Updated externals and subproject commit references
Improved : Updated Android submodules and platform dependencies
Improved : Updated Qt project files and AndroidManifest.xml
Improved : Updated .gitlab-ci.yml pipeline configuration
Improved : Applied database schema and version updates

             1.0.9(06-02-2025)
=====
Fixed 	  : Licensing validation fix for server soft licences
Fixed 	  : Modbus driver update

 
             1.0.8(31-01-2025)
=====
Fixed 	  : Licensing validation fix for soft licences
 
             1.0.7(22-11-2024)
=====
Fixed 	  : Cmail email client send failure
 
             1.0.6(28-10-2024)
=====
Fixed 	  : ServerEngine tag view displaying wrong values
Improved : Download xlsx, zip, etc files from links on SCADA webview

 
             1.0.0(03-01-2024)
=====
Fixed : problem with server crashing in case of too much alarms
Improved : Auto ack seconds added for alarms
Improved : Ack feature for multiple alarms once
Improved : Configurable alarm sounds
Improved : Tarnslation files updated
Improved : Alarm coloring depending on priority
Improved : Navigate  to station on double clicked alarm 
Improved : Added locking and add note features on objects 
Improved : New license id for v 1.0.0
Improved : Minor bugs


             0.9.154(01-06-2023)
=====
Fixed : problem with tag size more than 65000 
Fixed : issues with IEC104 driver
Fixed : Gui thread and program logic seperated
Fixed : Editor dublicate channels errors
Fixed : OPC Server crash fix
Fixed : Reporter shows tagname as None
Fixed : Alarm icon not showing up on client
Fixed : Alarm icon not showing up for same tag , different alarms
Fixed : Server crash when project compiled on editor
Improved : Client Alarm handling improved
Improved : SCADA Server stabilization improvements
Improved : SCADA Server different alarm warning for different priorities
Improved : SCADA Client print page feature
Improved : Bulk ack the alarm on SCADA client
Improved : Auto update event page feature
Improved : Warning icon updated

             0.9.153(10-03-2022)
=====
Improved : Grouped objects are made resizable
Improved : Templating for webframe items
Improved : ACK dialog for set/clear/toggle tag values
Improved : Setting stylesheet for multiple selected objects on the editor
Improved : Zoomout limited to an optimal scale
Fixed    : User manager sometimes crashes 
Fixed    : MQTT Driver issues
Fixed    : Android client issues
Fixed    : Logging filter not applied on IEC104 time tagged data
Fixed    : IEC104 Driver timetagged data logging issues
Fixed    : Server not starting with server info channel
Fixed    : Saved queries are lost when project exported


             0.9.152(23-02-2022)
=====
Fixed 	 : Protocol license validation error fixed 

             0.9.151(30-12-2021)
=====
Fixed 	 : Gauge not updating chankges on editor if threshold disabled 
Fixed 	 : Alarm limit save error for big double numbers
Improved : Open template dialogs in multiple pages
Fixed    : OPC server cannot read encrypted DB passwords
Fixed    : Client cannot open any other pages after clicking an access restricted link
Improved : Geoview marker icons can be updated via JavaScript function onCheckMarkerIcon(){...}
Improved : View disconnected values as 0 feature added for Modbus driver


             0.9.150(01-10-2021)
=====
Fixed 	 : Alarmed markers check/uncheck not working
Fixed 	 : Add new file on a folder crashes editor
Improved : Templating for report links
Improved : Multiple maps alarm inheriting

             0.9.149(10-07-2021)
=====
Fixed 	 : Server hangs with high amount active alarms
Fixed 	 : Maps 404 errorafter logout and login another user
Fixed 	 : Editor crashes after switching from Mapview to WidgetsView
Fixed 	 : ScadaEditor layout scaling issues
Fixed 	 : Adding markers on geoview does not trigger modified state and cannot be saved
Fixed 	 : Barchart view error when last bar has value "0"
Fixed 	 : Import IEC102 tags type error
Fixed 	 : Scadaobject TextColor and MaskColor from tagvalues fixed
Fixed 	 : ${parent} not working correctly on template pages
Improved : Server and Client side performance optimisations
Improved : ICCP Driver minor fixes
Improved : Option to close existing dialog after clicking GoPage

             0.9.148(17-02-2021)
=====
Improved : Templating feature for Scada and map pages
Improved : Mapview on Dialogs
Improved : Arcgis Mapview controls changed.
Improved : Saop Web API driver write function enabled.
Improved : MQTT Client driver write function enabled.
Improved : Server Info driver write function enabled.
Improved : Access right control through scripts added for template pages.
Improved : NAvigation Tree and editor introduced
Improved : Custom help link for clients
Improved : Active Alarm Page Filter and Log Filters
Fixed : Server license not accepted issue solved
Fixed : Decimal point display issue on client
Fixed : Templates not working on charts
Fixed : Macro drivervariable type always 0
Fixed : SQLite Compatibility issues fixed
Fixed : Active alarms date and value sorting error


             0.9.147(02-01-2020)
=====
- Fixed : Client not showing saved filters
- Improved : Block users after 3 failed login attempt is now optional
- Improved : Soap Web API Driver introduced
- Improved : Macro tag count will be removed form total tag license usage

             0.9.146(20-08-2019)
=====
- Improved : View stats record side by side

             0.9.145(20-08-2019)
=====
- Improved : White/blacklisting feature added
- Improved : Allow single sessionfeature added
- Improved : Javascriptdriver improvements
- Improved : Session log table added

             0.9.144(20-08-2019)
=====
- Fixed    : Exporting tags removes formula
- Fixed    : Minor Bugfixes
- Improved : Upgraded to Qt5.13
- Improved : OPC Server Service activated

             0.9.143(06-05-2019)
=====
- Fixed    : User Manager, adding wrong alarms for the user
- Fixed    : A few hundred alarms causes server fault
- Fixed    : Client , view formula values error
- Fixed    : Client, minor bug fixes
- Improved : Disconnected warning added for tables
- Improved : Ranges for log filtering increased

            0.9.142(24-12-2018)
=====
- Improved : Line chart legend moved out of plot area
- Improved : Line chart legend position for left right top bottom
- Fixed    : Line chart axis font size fixed
- Fixed    : Client , unexpected alarm page load prevented

           0.9.141(07-12-2018)
=====
- Improved : Client visual and performance improvements
- Improved : RAnge for barcharts
- Improved : Thausands grouping seperator support added for Label Tags(:GROUP)
- Improved : Back button added on Alarms page
- Improved : Back button added on Alarms page
- Improved : Mobile Alarms page optimised
- Improved : Alarm sound disable now saved for project and added a menu entry
- Improved : Client prevent screen sleep
- Fixed    : Client login fails after disconnected>logoff state


           0.9.140(01-11-2018)
=====
- Improved : DriverApiWriter added to support remote WebApi writes
- Improved : Custom chart legend and axis font sizes

           0.9.139(16-08-2018)
=====
- Improved : Scada Reporter, reporting with templates
- Fixed    : License user binary error


           0.9.137(16-08-2018)
=====
- Improved : Gauge visual improvements


           0.9.136(10-08-2018)
=====
- Improved : Gauge display background and led color adjustable
- Fixed    : Gauge widget bugs

          0.9.135(10-08-2018)
=====
- Improved : New Gauge Style added
- Improved : Horizontal bar chart added
- Fixed    : Gauge LCD display decimal display

          0.9.134(27-07-2018)
=====
- Improved : Dongle license support added
- Improved : Disable left pane option per user
- Fixed    : Operator Client crash after report screen
- Fixed    : Resize Gauges and Charts on properties table

         0.9.133(05-06-2018)
=====
- Improved : Client Gauge objects added
- Improved : Plot area coloring for charts
- Improved : Filtering saved filters
- Improved : Chart view improved on Editor
- Fixed    : Ordering table view by date
- Fixed    : Admin access error fix

         0.9.132(27-05-2018)
=====
- Improved : Client Pie and Bar charts added
- Improved : Server Memory usage improved

         0.9.131(27-05-2018)
=====
- Fixed : Client crash on chart zoom
- Improved : Client visual improvements
- Improved : Client profile manager
- Improved : SCADA updgraded to Qt 5.11 x64 arch

		0.9.130(16-04-2018)
=====
- Fixed : Client Reporting parameters missing
- Improved : Translation improvements
- Improved : Client visual improvements

         0.9.129(17-03-2018)
=====
- Fixed : Initial Client bg loading bug
- Fixed : No Access warning added for set value operation 
- Fixed : Minor bug fixes

         0.9.128(14-03-2018)
=====
- Improved : Client, open latest viewed page on startup
- Improved : Import SCADA project with another name
- Fixed : UserManager inactive user login prevent
- Fixed : Admin user cannot access all pages

         0.9.127(16-02-2018)
=====
- Improved : State information added on Channel table
- Fixed : Server LCT table update for unlogged tags

         0.9.126(09-02-2018)
=====
- Improved : DNP3 driver update
- Improved : Client disconnect handling improved
- Improved : Flash support for WebFrame item
- Fixed : Client minor bugfixes
- Fixed : Server compile publish for newly added tags.

         0.9.125(3001-2018)
=====
- Improved : Webframe nesnesi eklendi
- Fixed : Mapview crash fix

        0.9.123(24-01-2018)
=====
- Improved : Option to disable navigation panel added
- Improved : Adding link for reports and alarms added
- Improved : Qt Version updated to 5.10
- Fixed : Minor bug fixes


       	0.9.122(21-01-2018)
=====
- Improved : JavaScript driver added

      	0.9.120(10-01-2018)
=====
- Improved : Mapviewda iyileştirmeler
- Improved : RealtimeCharta aralık filtreleme özelliği eklendi

     	0.9.117(16-12-2017)
=====
- Fixed : Client login credidentals remember error
- Fixed : Minor bug fixes
- Improved : Table iten, copy,past, bring forward, etc.. menus added

    	0.9.115(26-11-2017)
=====
- Improved : DNP3 Driver added
- Fixed : Oracle DB tag table create error

 
    	0.9.114(16-11-2017)
=====
- Improved : Map infowindow activate/deactivate GoPage and Show/Hide Alarms

   		0.9.113(10-11-2017)
=====
- Fixed : Components folder update durumunda bozulma
- Improved : Component filter da bos kategorileri gizleme


  		0.9.112(07-11-2017)
=====
- Improved : New property fields for tags
- Fixed : Some bug fixes, compile publish/ component update

 		0.9.111(04-11-2017)
=====
- Improved : Compile publish de sadece ilgili kanalın reset edilmesi eklendi
- Improved : Translation Improvements
- Fixed : Some bug fixes, compile publish/ component update

		0.9.110(26-10-2017)
=====
- Improved : Google maps dynamicview improvements 
- Improved : Google maps dynamicview option to show/hide infowindows
 
		0.9.109(24-10-2017)
=====
- Improved : View Dynamic values on Google maps 
- Improved : Keeping zoom levels for previous views

       	0.9.106(06-09-2017)
=====
- Fixed : Operator Client RT Charts initial data load error
- Fixed : Drawing error on some components

      	0.9.105(14-08-2017)
=====
- Improved :  Google Maps, geojson import için polygon ve çizgi desteği eklendi
- Improved :  Sadece gerekli bileşenleri projeye ekleme özelliği eklendi
- Improved :  HArita üzerinde alarm durum gösterimi eklendi
- Fixed : Tablo bloklarında son satırı silme hatası düzeltildi
- Fixed : Haritalarda custom markerların yüklenmeme hatası düzeltildi


     	0.9.103(14-08-2017)
=====
- Improved :  Google Maps, Editor ve Client destegi eklendi

    	0.9.102(09-08-2017)
=====
- Fixed : ModbusROT driver bugfix

   		0.9.101(08-08-2017)
=====
- Improved :  QT Framework updated to 5.9.1
- Fixed : IEC104 driver bugfix(serveside)

  		0.9.100(24-07-2017)
=====
- Improved :  Client chart loading speed improved

		0.9.99(17-07-2017)
=====
- Fixed :  IIEC Driver bug fixes

		0.9.98(09-07-2017)
=====
- Fixed :  Tablo bileşenine satır/sütun ekleme/çıkarma durumunda formulu guncelleme


        0.9.98(09-07-2017)
=====
- Improved :  IEC104 farklı asdu lardan verdi okuma
- Fixed :  Tablo bileşenine satır/sütun ekleme/çıkarma durumunda formulu guncelleme
- Fixed :  Tablo bileşenine yeni eklenen hücre formatı Arial 18 yapıldı
- Fixed :  Usermanager alarm select dialog fix
- Fixed :  IEC104 channel default values

        0.9.97(06-07-2017)
=====
- Improved :  Tablo bileşenine öne atır/sütun ekleme ve iyileştirmeler
- Fixed :  Tablo bileşenine değişiklik yapmak için klavyeden sol-sağ tuşlarına basıldığında tablonun hereket etmesi

         0.9.96(03-07-2017)
=====
- Improved :  Tablo bileşenine excell tipi formulleme eklendi
- Improved :  Resim indeksleri düzenlenebili hale getirildi.

         0.9.95(23-06-2017)
=====
- Improved :  Tablo bileşeni stilsheet ve iyileştirmeler
- Improved :  Tablo bileşeni hücre birleştirme ayırma
- Improved :  Component dışındaki nesneler içinde x,y koordinat girişi
- Fixed :     UserManager ekran çözünürlüğü

        0.9.94(20-06-2017)
=====
- Improved :  Resim Bileşeni eklendi
- Fixed :     Datamanager archive bugfixes


        0.9.93(17-06-2017)
=====
- Improved :  Etiket/kanal editor arayüz iyileştirmeleri
- Improved :  Text Nesnelerine de dinamik veri gösterimi eklendi
- Improved :  Table edit
- Improved :  Makro editor stil iyileştirmeleri
- Fixed :     Datamanager archive bugfixes
- Fixed :     Replace tags fonksiyonuna grafik nesneleri de dahil edildi

        0.9.92(15-06-2017)
=====
- Improved :  ETiket/kanal ve alarm için save kısa yolu strl+s eklendi
- Fixed :     Gruplanan nesneler için Align H/V düzeltildi
- Fixed :     Client/reporter grafik mouse over line boyutu düzeltildi

       0.9.91(11-06-2017)
=====
- Improved :  Uygulama adı ViewPLUS olarak güncellendi
- Improved :  RAporlama Alarm logları ekranı güncellendi
- Improved :  DataManager yazılımı araçlara eklendi
- Improved :  Spacing ile nesneleri dizme eklendi
- Fixed :     Bileşen yöneticisinde eklene/çıkarılan nesnelerin editörde guncellenmesi
- Fixed :     Grup kopyala yapıştırma durumu bugfix
- Fixed :     Grup loading, child items movable durumu bugfix
- Fixed :     Editör kopyala ypıştır durumunda nesnelerde kayma

       0.9.90(10-05-2017)
=====
- Fixed :  Eventloglarda state gösterimi düzeltildi


      0.9.89(26-04-2017)
=====
- Fixed :  Loglama uzun ondalıklı sayılar
- Improved:      Bar chart eklendi


   	  0.9.87(01-04-2017)
=====
- Fixed :  Loglama filtresi bugfix
- Fixed:      Raporlayıcı legend ac/kapa crash duzeltildi
- Fixed:      Chart view kaydedilen sorgunun, list olarak açılması duseltildi


  	  0.9.86(30-03-2017)
=====
- Improved :  Görsel iyileştirmeler
- Improved :  Loglama filtresi eklendi
- Fixed:      Oracle db de istatikstiksel tablo baslangic guleri duzeltildi


 	  0.9.85(24-03-2017)
=====
- Improved :  TAblo nesnesi iyileştirmeler
- Improved :  RAporlama arayüzü
- Fixed:      Guncel versiyo indirme linki hatası
- Fixed:      Bağlantı kopma durumunda tekrar bağlanamama

 	  0.9.84(22-03-2017)
=====
- Improved :  Raporlamada geliştirmeler
- Improved :  Editorde tablo nesnesi için font ve renk ayarları

 	  0.9.83(21-03-2017)
=====
- Improved :  Raporlamada komut satırı fonksiyonları eklendi
- Improved :  Raporlamada filtrelerin veritabanına kaydı eklendi
- Improved :  GlobalVeritabanı kanalı eklendi
- Improved :  JSON mesajlaşma apisi eklendi

	  0.9.82(14-03-2017)
=====
- Improved :  Raporlamada grafik karşılaştırma eklendi
- Improved :  Sunucuyu durdurmadan proje publish etme eklendi
- Fixed    :  MOdbus RTU over TCP bugfix v2
- Fixed    :  Oracle icin user alarm gosterim hatası

	  0.9.81(01-03-2017)
=====
- Improved :  DAtabase stats generation fix
- Fixed    :  MOdbus RTU over TCP bugfix

	  0.9.80(28-02-2017)
=====
- Improved :  Loglama da sadece artarken logla ozelligi eklendi
- Improved :  Lisanslama eklentisi

	  0.9.79(25-02-2017)
=====
- Improved :  MOdbus TCP over RTU add
- Improved :  Operator Client fill graph eklendi
- Fixed    :  MOdbus TCP  negative values

	  0.9.78(22-02-2017)
=====
- Improved :  Operator Client Alarm onay mesaji duzenleme
- Fixed    :  Operator Client rgiht click crash
- Fixed    :  Operator Client gorsel iyileştirme

	  0.9.77(20-02-2017)
=====
- Fixed    :  Operator Client da oncemli performans iyilestirmeleri yapıldı

	  0.9.76(14-02-2017)
=====
- Fixed    :  Oracle Usermanager, scadamanager init error
- Fixed    :  Oracle LCT table log fix

	  0.9.75(13-02-2017)
=====
- Fixed    :  Server redundancy fix
- Improved :  Server dbqquery multithread structure

	  0.9.74(09-02-2017)
=====
- Fixed    :  minor bugfixes

	  0.9.72(01-02-2017)
=====
- Fixed    :  minor bugfixes
          
	  0.9.71(31-01-2017)
=====
- Improved :  Grafik link butonu eklendi

          0.9.70(30-01-2017)
=====
- Fixed    :  Editor minor bugfixes
- Fixed    :  Client minor bugfixes

          0.9.69(26-01-2017)
=====
- Improved :  Oracle database raporlama foksiyonları aktif edildi
- Improved :  Editorde yeni eklenen sayfalar tab tipinde yapıldı
- Fixed    :  Editor minor bugfixes

          0.9.66(05-01-2017)
=====
- Improved :  REdundant calisma aktif edildi
- Improved :  Oracle database aktif edildi

         0.9.65(05-01-2017)
=====
- Improved :  Derleyici MSVC ye gecirildi, sitede bulunan vcredist_msvc2015_x86.exe kurulmasi gerekiyor
- Fixed    :  CSV aktarma variable revert
- Fixed    :  Copy past object crash

         0.9.62(21-12-2016)
=====
- Improved :  Editorde katmanlı yapı entegre edildi
- Fixed    :  Proje import/export user rights aktarm hatası duzeltildi

         0.9.61(21-12-2016)
=====
- Improved :  Veritabanı logları aylık olarak gruplanmaya başlandı

         0.9.59(12-12-2016)
=====
- Improved :  Client nesneler uzerinde alarm ikonları
- Improved :  Alarm listesinden istasyon sayfasına gitme
- Improved :  Görsel iyileştirmeler

         0.9.58(20-11-2016)
=====
- Improved :  IEC104 Driver aktif edildi
- Improved :  Ack mekanizmasi duzeltmeleri

        0.9.55(20-10-2016)
=====
- Improved :  Etiket yoneticisine gelismis coklama ozellikleri eklendi
- Improved :  Alarm yoneticisine gelismis coklama ozellikleri eklendi
- Improved :  Aktif alarmları yazdırma butonları eklendi


       0.9.54(18-10-2016)
=====
- Improved :  Editor zoom,coordinate display
- Fixed    :  Editor object lofx, lofy position bug
- Fixed    :  OperatorClient range changed no data bug
- Fixed    :  OperatorClient fied value axis between interval bug

      0.9.52(14-08-2016)
=====
- Improved :  Editor iyileştirmeleri

     0.9.51(11-08-2016)
=====
- Fixed:   Raporlamada Tarih saat Gösterim sırası değiştirildi
- Improved :  Editore Mikrodiagram projesi linkleyebilme özelliği eklendi

     0.9.50(08-08-2016)
=====
- Fixed:	  Editor 5.7.0 kaynakli gorsel hatalar giderildi
- Fixed:	  Client raporlama geri getirildi
- Improved :  Client için grafik çizgi renk ve tip konfigurasyonu
- Improved :  Tablo nesnesi iyileştirmeleri


    0.9.47(22-07-2016)
=====
- Improved :  Alarm eposta gonderimi eklendi
- Fixed:	  Editor bugfixes

    0.9.46(11-07-2016)
=====
- Improved :  Alarm abonelik sistemi eklendi

    0.9.45(01-07-2016)
=====
- Improved :  Editor iyilestirmeleri
- Fixed:      Import tags into project error
- Improved :  Alarm yetkilendirme arayüzü eklendi
- Improved :  Tablo nesnesi javascript işlem desteği eklendi

    0.9.44(25-06-2016)
=====
- Improved :  Istemcı tooltıp makrosu ıle ılgılı gelıstırmeler
- Improved :  Edıtorde dısabled kanal ve etıket konfıgurasyonu
- Improved :  Modbus drıver tekrar baglanma fıx
- Fixed	   :  Android turkce dil destegi

   0.9.43(22-06-2016)
=====
- Fixed	   :  Client veri set etmehatası


   0.9.42(22-06-2016)
=====
- Fixed	   :  Client veri gosterim hatası
- Improved :  Editor minor improvements


   0.9.41(19-06-2016)
=====
- Improved :  Tooltipe dinamik tagid gosterimi eklendi ${tagid}
- Improved :  Tooltip için html editor eklendi
- Improved :  Labeltag için css editor eklendi
- Fixed	   :  Veri tabanı tag tablosu olusturma hatası
- Fixed    :  Değişimde loglama bugfix
- Fixed    :  Drivermacro ve database geçersiz veri tesbiti eklendi


   0.9.40(17-06-2016)
=====
- Improved  :  Gelısmıs loglama seceneklerı
- Improved  :  Chartlar ıcın yenı secenekler
- Improved  :  Anfroid icin dialoglar tam ekran yapıldı
- Fixed   :    Mınor bug fix


  0.9.39(10-06-2016)
=====
- Fixed   :    Server loglama ile ilgili bir bug fix
- Improved  :  Kopukluk durumlarını loglama devred ışı bırakma

 0.9.38(29-05-2016)
=====
- Improved:    Client baglantı kopuk uyarı zamanlaması sunucuya göre yapıldı
- Improved:    Eventlog ip bilgisi eklendi
- Fixed   :    Editor minor bug fix
- Fixed   :    Remote reports bugfix

 0.9.37(29-05-2016)
=====
- Improved:    Db queryleri icin istatistik tablolari kullanildi
- Improved:    Editörde macro editor guncellendi
- Improved:    Minor kullanım iyilestirmeleri
- Improved:    Client chart cizdirme iyilestirildi
- Improved:    Yeni db fonksiyonları eklendi(agr_totaliser, agr..)
- Improved:    Snmp driver aktif hale getirildi
- Fixed   :    Db  fonksiyonlarında bug fix
- Fixed   :    Reporter changes query  bug fix

 0.9.36(09-05-2016)
=====
- Fixed:    Editor nesnelerde kayma hatası

 0.9.35(29-04-2016)
=====
- Fixed:    Aylık değişim veri tabanı sorgu hatası 
- Improved:    Table nesne tipi eklendi
- Improved:    Client versiyonu daha seyrek guncellenecek sekilde ayarlandi

    0.9.33(29-04-2016)
=====
- Fixed:    Tag Import/Export erişim hakları kopyalanmıyor
- Improved:    Editorde objectType alanı eklendi
- Fixed:    Olay logları filtreleme bug fix
- Fixed:    Kanal çoğullama performansı arttırıldı

    0.9.32(29-04-2016)
=====
- Improved:    Olay Logları aktif edildi

    0.9.31(28-04-2016)
=====
- Fixed:       Reporter  bugfix
- Improved:    Görsel değişiklikler 

    0.9.30(27-04-2016)
=====
- Fixed:    Reporter  bugfix
- Improved:    Görsel değişiklikler 

   0.9.29(26-04-2016)
=====
- Fixed:    Reporter  bugfix
- Improved:    Görsel değişiklikler 

   0.9.28(16-04-2016)
=====
- Fixed:    MacroDriver scheduler bugfix
- Fixed:    Editorde delete tusuna basilma durumunda yanlış nesnenin silinmesi
- Fixed:    User manager minor bugfix
- Fixed:    Client report bugfix
- Improved: Sunucu ayarları appData/Roaming/Mikrodev/SacadaServer altına alındı

   0.9.27(16-04-2016)
=====
- Improved: Reporter chart aktif edildi
- Fixed:    Client yetkilendirme hatası duzeltildi
- Fixed:    Reporter Null değerlerin 0 gösterimi hatası duzeltildi

  0.9.26(14-04-2016)
=====
- Improved: Scheduler etiketi için özel adres seçimi eklendi.
- Fixed:    Save işlemi esnasındaki takılma duzeltildi
- Fixed:    Minor bugfix

 0.9.25(13-04-2016)
=====
- Improved: Misafir ve admin kullanıcısı eklendi
- Improved: Raporlamayı kullanıcı için aktif/deaktif etme eklendi
- Improved: Editor bellek optimizasyonu
- Improved: Editor yukleme gostergesi
 
    0.9.24(12-04-2016)
=====
- Improved: Alarm raporlama hataları duzeltildi

    0.9.23(10-04-2016)
=====
- Improved: Alarm handler threaded yapıldı
- Improved: Gui iyilestirmeleri
- Improved: Sunucu baslama zamanı iyilestirmeleri

    0.9.22(07-04-2016)
=====
- Improved: DBQTextItem icin yeni rapor tipleri eklendi

    0.9.21(06-04-2016)
=====
- Improved: Raporlama geliştirmeleri
- Improved: Custom alarm, rapor logo ve etiketleri
- Fixed:    Minor bugfix

   0.9.20(16-03-2016)
=====
- Improved: ScadaReporter log raporlama iyilestirmeler
- Improved: Serverengine , keyword sutunu eklendi, toolt,pler eklendi

   0.9.19(16-03-2016)
=====
- Fixed:    Minor bugfix

   0.9.18(14-03-2016)
=====
- Fixed:    Editorde Project Import da logların korunması saglandi
- Improved: Editorde  nesne özellikleri menusu duzenlendi
- Improved: Editorde  Etiket secme kutusu degistirildi
- Improved: Clientda  guncel versiyon indirme adreseleri guncellendi
- Improved: Alarm gosterimi guncellendi

   0.9.17(09-03-2016)
=====
- Fixed:    Editorde kanal ekleme sonrası crash
- Improved: Editorde  DriverDatabase icin konfigurasyon arayuzu eklendi.
- Improved: Editorde  görsel iyilestirmeler
- Improved: Sorgu sonuclarını etiketlere atamak icin DriverDatabase eklendi.
- Improved: Yazma haklarına göre sunucuda erisim hakki kısıtlandı.
- Improved: Client da "erişim yok" görseli eklendi

   0.9.16(09-03-2016)
=====
- Fixed:    Import error fix
- Fixed:    Sunucu loglama threadleri ayrıldı

   0.9.15(07-03-2016)
=====
- Fixed:    Raporlam aracı iyilestirildi

  0.9.14(01-03-2016)
=====
- Fixed:    customproperty kayıt hatası

  0.9.13(01-03-2016)
=====
- Fixed:    components.compro tekrar klasore eklendi
- Improved: Veri tabanı loglamada istatistiksel tablolar  ve indeksler olusturuldu. Log veritabını partioned table yapildi
- Improved: OperatorClient , chart cizdirme performansi iyilestirildi
- Improved: OperatorClient , chart cizdirme tipi degistirildi
- Improved: OperatorClient , rapor tabı eklendi
- Improved: Sunucu veri gosteriminde kolon ekleme cikarma eklendi.
- Improved: Editorde Kanallar icin istasyon, etiketler icin keyword tanimları eklendi.
- Improved: Editorde yeni alarmlar icin etiket arama kutusu eklendi
- Improved: Sunucu komut satırı parametreleri guncellendi

 0.9.12(16-02-2016)
=====
- Fixed:    Server kullanıcı yetki hatası
- Improved: Chart view iyilestirmeleri
- Improved: Tercume iyilestirmeleri
- Improved: Qt platform 5.5.1 e yukseltildi

 0.9.11(14-02-2016)
=====
- Fixed:    282	Bug	Sayfa sırası
- Fixed:    281	Bug	Draw connection fault overlay
- Fixed:    280	Bug	Son değişiklik zamanı
- Fixed:    257	Bug	Sayfa sıralama kaydetmemketedir
- Improved: İstemci grafik nesnesine yeni kontroller eklendi
- Improved: İstemci grafik nesnesi grafik export özelliği
- Improved: İstemci grafik nesnesi geçmişe yönelik veri çekme özelliği eklendi
- Improved: Tercüme iyileştirmeleri


 0.9.10(06-02-2016)
=====
- Fixed:    Server ve driverlardaki memory leakler temizlendi
- Improved: Editore components klasoru eklendi
- Improved: Component Designer nesne filtresi
- Improved: Server da teg view iyileştirildi ve filtreler eklendi
- Fixed:    Editor de gruplanmış nesnelerde, sürükleme durumunda kayma
- Fixed:    Editor de gruplanmış nesnelerde, hatalı z değeri


 0.9.09(04-02-2016)
=====
- Fixed:    Server crash fix

 0.9.08(02-02-2016)
=====
- Improved: Client sunucu projesi ile otomatik senkronizasyon
- Improved: Alarm paneli için farklı splitviewlar
- Improved: Client versiyon uyarısı ve indirme linki
- Fixed:    Webview duzeltmeler

 0.9.07(02-02-2016)
=====
- Improved: Client bugfix
- Fixed:    SErver crash fix

 0.9.06(01-02-2016)
=====
- Improved: Client da nesne icin deger set etme sekli degistirildi
- Improved: Set edilecek degerler icin aralık sınırlama eklendi
- Improved: Nesnelere go weblink özelliği eklendi
- Improved: Server optimizasyon
- Improved: Server kopan baglantilarin tespit edilerek temizlemesi

 0.9.05(28-01-2016)
=====
- Fixed: EventTargetTag indexi "0" a alındı. Diğer tag indexler de 1 artmış oldu(DİKKAT! Objelere atanmış bütün taglerin guncellenmesi gerekecek)

 0.9.04(27-01-2016)
=====
- Fixed: Server performans problemi

 0.9.03(25-01-2016)
=====
- Fixed: Server driverlarin utf8 ascii dışı karaktere sahip klasörlerde çalışmama hatası
- Fixed: Proje export ederken kullanıcıların gelmemesi
- Improved: Editor : Alarm editör

 0.9.02(25-01-2016)
=====
- Fixed: DbqueryItem tag secim hatasi
- Fixed: Server minor bug fix

 0.9.01(21-01-2016)
=====
- Improved: Kullanıcı veritabanı projeye alındı.(Kullancilari tekrar olusturmak gerekecek)
- Improved: Editor : Tercume iyilestirmeleri
- Improved: Server: Sunucu acilis performansi iyilestirme
- Improved: Erişim hakları ve gruplar arttrıldı (128)
- Improved: Etiketleri icin arişim hakkı tanımları eklendi
- Improved: Editore client configurasyom ayarlari eklendi
- Improved: Usermanager kullanıcı ekleme degistirildi 
- Improved: Sifreler SHA1 ile kodlandı

 0.8.66(01-01-2016)
=====
- Improved: Editor : Go to page de sayfa isimleri searchbox
- Improved: Editor : Custom Property icin tag sayisi 7 ye cikarildi
- Improved: OperatorClient: Masklama icin macro destegi
- Improved: OperatorClient: Scale to ..

 0.8.65(01-01-2016)
=====
- Improved: Editor : Go to page de sayfa isimleri combobox i
- Improved: Editor : Go to page set edilen nesnelere çift tiklama ile sayfayi acma ozelligi
- Improved: Server: Kanal load progress bar

 0.8.64(01-01-2016)
=====
- Fixed: Operator Client ; görünmeyen schedule itemlar
- Fixed: Server ; evet log error
- Improved: Sunucu performans iyilestirmeleri

 0.8.63(30-12-2015)
=====
- Improved: User Acces Rights editorlerde iyilestirmeler
- Fixed: Operator Client toggle bug

 0.8.62(30-12-2015)
=====
- Improved: Operator Client ,server; kullanici erisim haklarina gore sayfa gosterimi saglandi

0.8.61(30-12-2015)
=====
- Fixed: Operator Client , istenen sayfalarin daha hizli acilmasi icin cache leme eklendi
- Fixed: Operator Client bugs

0.8.60(30-12-2015)
=====
- Fixed: Operator Client bugs

0.8.59(30-12-2015)
=====
- Fixed: Minor bugs

0.8.58(29-12-2015)
=====
- Improved: Latest Change Time sorgu hizi ve 1970 
- Improved: Sunuuc sql thread aktif edildi

0.8.57(28-12-2015)
=====
- Improved: Operatorclient loading gif
- Fixed: Scadaeditor rotation bug fixes

0.8.56(25-12-2015)
=====
- Improved: Sunucudan projeyi parca parca cekme ozelligi eklendi
- Improved: Bellek tuketimi iyilestirildi
- Improved: Sunucu proje kladoru degistirildi
- Improved: Operatorclient farkli projeler icin optimizasyon
- Fixed: Operatorclient Crash fix
- Fixed: Minor bug fixes

0.8.55(15-12-2015)
=====
- Fixed: DbqTextItem last changetime bugfix
- Improved: Modbus single write coil eklendi
- Improved: Help chm formatında eklendi

0.8.54(15-12-2015)
=====
- Fixed: DbqTextItem average bugfix
- Fixed: DbqTextItem last changetime bugfix
- Improved: Operatorclient performansı arttırıldı ve loglama eklendi

0.8.53(15-12-2015)
=====
- Improved: DbqTextItem calistirildi

0.8.52(04-12-2015)
=====
- Fixed: DbqTextItem tagselect kayıt bugfix


0.8.51(04-12-2015)
=====
- Fixed: DbqTextItem kayıt ve kopyalama duzeltmeleri
- Improved: OperatorClient iyileştirmeleri
- Fixed: Gruplama ile ilgili bir bugfix

0.8.50(04-12-2015)
=====
- Fixed: Altyazı Türkçe karakter sorunu giderildi
- Added: Kullanıcı editoru guncellendi
- Added: DbqText Nesnesi editore eklendi

0.8.49(2015-15-11)
=====
- IMPROVED: Etiketler için tag bilgisi tarih/saat donusumu eklendi

0.8.48(2015-15-11)
=====
- FIXED: Kanala ait etiketleri toplu guncelleme(Update Channel Tags) eklendi

0.8.47(2015-02-11)
=====
- FIXED: DrawDisconnectEnable secili olmadıgında, nesnelerin disabled durumu kaldırıldı
- FIXED: Comboboxların, fare tekerleği etkisi kaldırıldı 

0.8.46(2015-27-10)
=====
- FIXED: Client bağlantı bug fix


0.8.45(2015-24-10)
=====
- FIXED: Sunucu ile ilgili bazı hata lar giderildi
- IMPROVED: Sunucu Driver monitor gelistirildi

0.8.44(2015-24-10)
=====
- FIXED: Sunucu baglanti hatasi duzeltildi

0.8.43 ()
=====
- IMPROVED: Editor menulerinde duzeltmeler
- IMPROVED: Operator Client altyazı özelliği eklendi
- IMPROVED: Operator Client bağlantısı  SSL ile şifrelendi.

0.8.42 (2015-05-10)
=====
- IMPROVED: Operator client-server ilk baglanma hizi arttirildi
- IMPROVED: Operator client, sayfa secme araç kutusu gizleme/gösterme eklendi.
- IMPROVED: Operator client Çoklu Ekran Desteği eklendi (Window -> Detach Current Page)

0.8.41 (2015-05-10)
=====
- IMPROVED: Macro validasyonu eklendi
- IMPROVED: Operator client a bazı yeni ayarlar eklendi

0.8.40 (2015-04-13)
=====
- FIXED: RtChart ile ilgili crash duzeltildi
- IMPROVED: İstenen sayfaların OperatorClient da "scaled to windows/width/height" olarak başlatılması özelliği eklendi

0.8.39 (2015-04-13)
=====
- FIXED: Arkaplan gosterim hatası duzeltildi
- IMPROVED: İstenen sayfaların OperatorClient da "scaled to windows" olarak başlatılması özelliği eklendi

0.8.38 (2015-04-13)
=====
- FIXED: English language help

0.8.36 (2015-04-13)
=====
- IMPROVED: Tab sayfalarının boyutlarının ozelleştirilebilmesi sağlandı

0.8.35 (2015-01-23)
=====
- IMPROVED: Tab sayfalarının boyutlarının ozelleştirilebilmesi sağlandı

0.8.34 (2015-01-23)
=====
- IMPROVED:  FUnction code icin aciklama eklendi
- FIXED: Logging freq kaydetmeme hatasi duzeltildi